Skip to main content
GET
/
fleet
/
reports
/
ifta
/
jurisdiction
Get IFTA jurisdiction reports.
curl --request GET \
  --url https://api.samsara.com/fleet/reports/ifta/jurisdiction \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "jurisdictionReports": [
      {
        "jurisdiction": "GA",
        "taxableMeters": 2350,
        "totalMeters": 2350,
        "taxPaidLiters": 25.5
      }
    ],
    "year": 2021,
    "month": "January",
    "quarter": "Q4",
    "troubleshooting": {
      "noPurchasesFound": true,
      "unassignedFuelTypePurchases": 200,
      "unassignedFuelTypeVehicles": 2500,
      "unassignedVehiclePurchases": 2500
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

year
integer
required

The year of the requested IFTA report summary. Must be provided with a month or quarter param. Example: year=2021

Required range: 2015 <= x <= 2100
month
enum<string>

The month of the requested IFTA report summary. Can not be provided with the quarter param. Example: month=January Valid values: January, February, March, April, May, June, July, August, September, October, November, December

Available options:
January,
February,
March,
April,
May,
June,
July,
August,
September,
October,
November,
December
quarter
enum<string>

The quarter of the requested IFTA report summary. Can not be provided with the month param. Q1: January, February, March. Q2: April, May, June. Q3: July, August, September. Q4: October, November, December. Example: quarter=Q1 Valid values: Q1, Q2, Q3, Q4

Available options:
Q1,
Q2,
Q3,
Q4
jurisdictions
string

A filter on the data based on this comma-separated list of jurisdictions. Example: jurisdictions=GA

fuelType
enum<string>

A filter on the data based on this comma-separated list of IFTA fuel types. Example: fuelType=Diesel Valid values: Unspecified, A55, Biodiesel, CompressedNaturalGas, Diesel, E85, Electricity, Ethanol, Gasohol, Gasoline, Hydrogen, LiquifiedNaturalGas, M85, Methanol, Propane, Other

Available options:
Unspecified,
A55,
Biodiesel,
CompressedNaturalGas,
Diesel,
E85,
Electricity,
Ethanol,
Gasohol,
Gasoline,
Hydrogen,
LiquifiedNaturalGas,
M85,
Methanol,
Propane,
Other
vehicleIds
string

A filter on the data based on this comma-separated list of vehicle IDs and externalIds. Example: vehicleIds=1234,5678,samsara.vin:1HGBH41JXMN109186

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

Response

OK response.

data
object
required

Dictionary containing summarized jurisdiction report data.